# Get details of accommodations

This call returns the hotel and room data. By default, only hotel_id is returned in the output.

One of the argument: hotel_ids, city_ids, country_ids, region_ids, district_ids, chain_ids is mandatory.

Additional data needs to be requested via extras parameter.

The data is returned in English by default.

Endpoint: GET /demand-api-v2-compatible/hotels
Version: 1.1
Security: BearerAuth

## Query parameters:

  - `hotelsInput` (object, required)

## Header parameters:

  - `Accept` (string)
    Enum: "application/json, application/xml"

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.hotel_data` (object)
    Hotel specific information.

  - `result.hotel_data.address` (string)
    The street address of the hotel.

  - `result.hotel_data.city_id` (integer)
    Id of the city where this property is located.

  - `result.hotel_data.country` (string)
    Two-letter ISO country code of the hotel.

  - `result.hotel_data.location` (object)
    A signed integer number that uniquely identifies a city.

  - `result.hotel_data.location.latitude` (number)
    Latitude.
    Example: 52.375859

  - `result.hotel_data.location.longitude` (number)
    Longitude.
    Example: 4.886006

  - `result.hotel_data.zip` (string)
    Hotel ZIP code

  - `result.hotel_data.currency` (string)
    Three-letter ISO currency code for the hotel.

  - `result.hotel_data.checkin_checkout_times` (object)

  - `result.hotel_data.checkin_checkout_times.checkin_from` (object)
    The time till when checkout can be done at this property.

  - `result.hotel_data.checkin_checkout_times.checkin_from.hour` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_from.minute` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_from.second` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_from.nano` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_to` (object)
    The time till when checkout can be done at this property.

  - `result.hotel_data.checkin_checkout_times.checkin_to.hour` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_to.minute` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_to.second` (integer)

  - `result.hotel_data.checkin_checkout_times.checkin_to.nano` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_from` (object)
    The time till when checkout can be done at this property.

  - `result.hotel_data.checkin_checkout_times.checkout_from.hour` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_from.minute` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_from.second` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_from.nano` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_to` (object)
    The time till when checkout can be done at this property.

  - `result.hotel_data.checkin_checkout_times.checkout_to.hour` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_to.minute` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_to.second` (integer)

  - `result.hotel_data.checkin_checkout_times.checkout_to.nano` (integer)

  - `result.hotel_data.hotel_photos` (array)
    Photos specific information of the hotel.

  - `result.hotel_data.hotel_photos.main_photo` (boolean)
    Is this the main hotel photo.

  - `result.hotel_data.hotel_photos.url_original` (string)
    Url of the photo with max width of 500 pixels.

  - `result.hotel_data.hotel_description` (string)
    The description text for this hotel.

  - `result.hotel_data.url` (string)
    URL of the hotel's page on Booking.com.

  - `result.hotel_data.deep_link_url` (string)
    Deep link mobile app URL.
    Example: "booking://hotel/10004?affiliate_id=956509"

  - `result.hotel_data.region_ids` (array)
    List of region_ids that the hotel belongs to

  - `result.hotel_data.number_of_reviews` (integer)
    Number of reviews for this hotel.

  - `result.hotel_data.review_score` (number)
    Review score of this hotel.
    Example: 7.1

  - `result.hotel_data.spoken_languages` (array)
    Languages spoken by the hotel's staff

  - `result.hotel_id` (integer)
    Unique ID to represent this hotel.

  - `result.room_data` (array)
    This block has room data for this hotel.

  - `result.room_data.room_id` (integer)

  - `result.room_data.room_info` (object)

  - `result.room_data.room_info.bathroom_count` (number)

  - `result.room_data.room_info.bedroom_count` (number)

  - `result.room_data.room_info.bedrooms` (array)

  - `result.room_data.room_info.bedrooms.bed_configurations` (array)

  - `result.room_data.room_info.bedrooms.bed_configurations.id` (string)
    Uniquely identifies this bed configuration.

  - `result.room_data.room_info.bedrooms.bed_configurations.configuration` (array)
    Detail list of all different types and number of beds included in this configuration.

  - `result.room_data.room_info.bedrooms.bed_configurations.configuration.bed_type` (integer)
    A signed integer number that uniquely identifies a bed type. Examples of bed types are: Single, Double etc.

  - `result.room_data.room_info.bedrooms.bed_configurations.configuration.number_of_beds` (integer)
    Number of similar beds included in this configuration.

  - `result.room_data.room_info.occupancy` (object)

  - `result.room_data.room_info.occupancy.allow_cribs_and_extra_beds` (boolean)

  - `result.room_data.room_info.occupancy.max_adults` (integer)

  - `result.room_data.room_info.occupancy.max_children` (integer)

  - `result.room_data.room_info.occupancy.max_cribs` (integer)

  - `result.room_data.room_info.occupancy.max_extra_beds` (integer)

  - `result.room_data.room_info.occupancy.max_occupancy` (integer)

  - `result.room_data.room_info.room_size` (object)

  - `result.room_data.room_info.room_size.metre_square` (number)

  - `result.room_data.room_info.room_type_id` (integer)


